package Drawnings;

import java.awt.*;

public class DrawningCircleWheels implements IDrawningWheels {
    private CountWheels countWheels;

    @Override
    public void setCountWheels(int numWheels) {
        for (CountWheels value : CountWheels.values()) {
            if (value.getCountWheels() == numWheels) {
                countWheels = value;
                return;
            }
        }
    }

    @Override
    public CountWheels getNumberOfWheels() {
        return countWheels;
    }

    @Override
    public void DrawCleaningCarWheels(Graphics g, Color bodyColor, Color additionalColor, int startPosX, int startPosY) {
        Graphics2D g2d = (Graphics2D) g;
        for (int i = 0; i < countWheels.getCountWheels(); i++) {
            g2d.setColor(bodyColor);
            g2d.fillOval(startPosX + 10 + 40 * i, startPosY + 50, 20, 20);
            g2d.setColor(additionalColor);
            g2d.fillOval(startPosX + 15 + 40 * i, startPosY + 55, 10, 10);
            g2d.setColor(Color.black);
            g2d.drawOval(startPosX + 10 + 40 * i, startPosY + 50, 19, 19);
            g2d.drawOval(startPosX + 15 + 40 * i, startPosY + 55,  9,  9);
        }
    }
}
